## sigsum-go 0.7.2

=== Makefile ===
# Let the go tool manage dependencies.
all:
	go build ./...

mocks:
	cd pkg/mocks && $(MAKE)

check: mocks
	go test ./...
	cd tests && $(MAKE) check

clean:
	cd tests && $(MAKE) clean
	cd pkg/mocks && $(MAKE) clean

.PHONY: all check clean mocks

=== tests/Makefile ===
TESTS = ssh-agent-test \
	sign-verify-test sign-agent-test \
	keyhash-test keyhex-test help-msg-test \
	token-record-test token-create-raw-test token-create-header-test \
	sigsum-submit-test sigsum-submit-batch-test \
	witness-get-tree-size-test witness-add-tree-head-test \
	sigsum-submit-witness-test
all:

check:
	./run-tests $(TESTS)

clean:
	rm -rf bin test.*

.PHONY: all check clean

=== debian/changelog ===
sigsum-go (0.7.2-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 13:22:13 +1000

sigsum-go (0.7.2-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 15:45:54 +1000

sigsum-go (0.7.2-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 09:42:48 +0530

sigsum-go (0.7.2-2) unstable; urgency=medium

  * Remove manpages from golang-*-dev package.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 12 Feb 2024 22:48:31 +0100

sigsum-go (0.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix test-build-any, moving help2man from B-D-I to B-D.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 12 Feb 2024 09:53:08 +0100

sigsum-go (0.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1061153)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Jan 2024 19:31:19 +0100

=== debian/control ===
Source: sigsum-go
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-dchest-safefile-dev,
 golang-github-golang-mock-dev,
 golang-github-pborman-getopt-dev,
 golang-golang-x-net-dev,
 help2man <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
Homepage: https://www.sigsum.org/
Rules-Requires-Root: no
XS-Go-Import-Path: sigsum.org/sigsum-go

Package: sigsum-go
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: tools for public and transparent logging of signed checksums
 The goal of Sigsum is to provide building blocks that can be used to
 enforce public logging of signed checksums.
 .
 This package contains the sigsum-key, sigsum-submit, sigsum-verify,
 and sigsum-monitor command line tools.

Package: golang-sigsum-sigsum-go-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: tools for public and transparent logging of signed checksums (library)
 The goal of Sigsum is to provide building blocks that can be used to
 enforce public logging of signed checksums.
 .
 This package contains the Go source code.

=== debian/watch ===
version=4
https://git.glasklar.is/sigsum/core/sigsum-go/tags?sort=updated_desc archive/v?\d[\d.]+/@PACKAGE@-v?([\d.]+)@ARCHIVE_EXT@

## sigsum-go 0.9.1

=== tests/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 TESTS = ssh-agent-test \
 	sign-verify-test sign-agent-test \
-	keyhash-test keyhex-test help-msg-test \
+	keyhash-test keyhex-test help-msg-test version-msg-test \
 	token-record-test token-create-raw-test token-create-header-test \
 	sigsum-submit-test sigsum-submit-batch-test \
 	witness-get-tree-size-test witness-add-tree-head-test \
+	witness-add-checkpoint-test \
 	sigsum-submit-witness-test
 all:

=== debian/changelog ===
sigsum-go (0.9.1-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream version 0.9.1
  * Add salsa-ci.yml.
  * rules: Don't ship mk-add-checkpoint-request.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Oct 2024 21:26:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sigsum-go
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
@@ -15,7 +14,7 @@
  golang-github-pborman-getopt-dev,
  golang-golang-x-net-dev,
  help2man <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
 Homepage: https://www.sigsum.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

execute_after_dh_auto_install:
	rm -fv $(B)/mk-add-tree-request $(B)/mk-add-checkpoint-request
	rm -fv $(B)/sha256-n $(B)/use-agent
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	mkdir -pv $(M)
	for p in key monitor submit token verify witness; do \
		help2man --no-info --version-string="$(DEB_VERSION)" \
			-Idebian/sigsum-$$p.h2m $(B)/sigsum-$$p \
			-o $(M)/sigsum-$$p.1; \
	done
endif

## sigsum-go 0.10.1

=== debian/changelog ===
sigsum-go (0.10.1-1) unstable; urgency=medium

  * Bump d/* copyright years.
  * Use dh-sequence-golang.
  * New upstream version 0.10.1
  * Silence failing server tests for now.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 27 Jan 2025 10:57:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-github-dchest-safefile-dev,
  golang-github-golang-mock-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_test:
+	env DH_GOLANG_EXCLUDES=sigsum.org/sigsum-go/pkg/server dh_auto_test $(DH_BUILD_OPTS)
+	-env DH_GOLANG_BUILDPKG=sigsum.org/sigsum-go/pkg/server dh_auto_test $(DH_BUILD_OPTS)
 
 B = $(CURDIR)/debian/tmp/usr/bin
 M = $(CURDIR)/debian/tmp/usr/share/man/man1

## sigsum-go 0.11.0

=== Makefile ===
DATE := $(shell date +"%B %Y")
VERSION := $(shell git describe --tags --always)

default: doc

check: mocks
	go build ./...
	go test ./...
	cd tests && $(MAKE) check

mocks:
	cd pkg/mocks && $(MAKE)

doc:
	doc/help2man/generate $(VERSION)
	pandoc doc/tools.md -s -t man -o doc/sigsum-tools.1 \
		-M title="sigsum-tools" \
		-M section="5" \
		-M header="User guide" \
		-M footer="sigsum-tools $(VERSION)" \
		-M date="$(DATE)"

clean:
	cd tests && $(MAKE) clean
	cd pkg/mocks && $(MAKE) clean

.PHONY: default check clean doc mocks

=== debian/changelog ===
sigsum-go (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Standards-Version: 4.7.2.
  * Rework man page building.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Mar 2025 20:25:08 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  golang-github-pborman-getopt-dev,
  golang-golang-x-net-dev,
  help2man <!nodoc>,
-Standards-Version: 4.7.0
+ pandoc <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
 Homepage: https://www.sigsum.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	env DH_GOLANG_EXCLUDES=sigsum.org/sigsum-go/pkg/server dh_auto_test $(DH_BUILD_OPTS)
	-env DH_GOLANG_BUILDPKG=sigsum.org/sigsum-go/pkg/server dh_auto_test $(DH_BUILD_OPTS)

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man

execute_after_dh_auto_install:
	rm -fv $(B)/mk-add-checkpoint-request
	rm -fv $(B)/sha256-n $(B)/use-agent
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PATH="$(CURDIR)/_build/bin:$$PATH" make doc VERSION=$(DEB_VERSION)
	mkdir -pv $(M)/man1 $(M)/man5
	help2man --no-info --version-string="$(DEB_VERSION)" \
			-Idebian/sigsum-witness.h2m $(B)/sigsum-witness \
			-o $(M)/man1/sigsum-witness.1
	cp -v doc/*.1 $(M)/man1/
	mv -v $(M)/man1/sigsum-tools.1 $(M)/man5/sigsum-tools.5
endif

## sigsum-go 0.11.1

=== Makefile ===
# Populate VERSION and DATE based on the latest git-commit.  The user may
# override VERSION and DATE by specifying *both* on the command line.
#
# Note: these variables are only used for generating man pages.
VERSION ?= $(shell git describe --tags --always)
ifeq ($(origin VERSION), file)
	COMMIT := $(shell git rev-parse $(VERSION))
	# The timestamp git-show extracts is in the *author's timezone*, i.e.,
	# there's no conversion to the *user's timezone* unless --date=local is
	# provided.  So, we can be sure we have a deterministic timestamp value.
	# We're using the timestamp that was explicitly set by the author (%ad).
	#
	# %B uses the *user's locale* when printing the month because the date
	# formatting is done by strftime (see man git-log and man strftime).  To
	# ensure a deterministic value, we use the standard locale called "C".
	# https://www.gnu.org/software/libc/manual/html_node/Choosing-Locale.html
	#
	# We use LC_ALL because it ensures we override both LANG and LC_TIME.
	# https://www.gnu.org/software/libc/manual/html_node/Locale-Categories.html
	TIMESTAMP := $(shell LC_ALL=C git show -s --format=%ad --date=format:"%B %Y" $(COMMIT))
endif
DATE ?= $(TIMESTAMP)

default: doc

check: mocks
	go build ./...
	go test ./...
	cd tests && $(MAKE) check

mocks:
	cd pkg/mocks && $(MAKE)

doc:
	doc/help2man/generate $(VERSION)
	pandoc doc/tools.md -s -t man -o doc/sigsum-tools.7 \
		-M title="sigsum-tools" \
		-M section="7" \
		-M header="User guide" \
		-M footer="sigsum-tools $(VERSION)" \
		-M date="$(DATE)"

clean:
	cd tests && $(MAKE) clean
	cd pkg/mocks && $(MAKE) clean

.PHONY: default check clean doc mocks

=== debian/changelog ===
sigsum-go (0.11.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Fix golang-any >= 1.22.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 14 Mar 2025 09:02:45 +0100

sigsum-go (0.11.1-1) unstable; urgency=medium

  * Fix reproducibility.  Closes: #1100344.
  * New upstream version 0.11.1
  * Fix homepage URLs.
  * Remove hack for sigsum-tools.5.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 14 Mar 2025 08:29:07 +0100

sigsum-go (0.9.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Build for bookworm-backports.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Oct 2024 22:17:52 +0200

sigsum-go (0.7.2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 15 Feb 2024 08:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-any (>> 2:1.22~),
  golang-github-dchest-safefile-dev,
  golang-github-golang-mock-dev,
  golang-github-pborman-getopt-dev,
@@ -18,7 +18,7 @@
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
-Homepage: https://www.sigsum.org/
+Homepage: https://git.glasklar.is/sigsum/core/sigsum-go
 Rules-Requires-Root: no
 XS-Go-Import-Path: sigsum.org/sigsum-go

## sigsum-go 0.11.2

=== Makefile ===
--- 
+++ 
@@ -5,19 +5,19 @@
 VERSION ?= $(shell git describe --tags --always)
 ifeq ($(origin VERSION), file)
 	COMMIT := $(shell git rev-parse $(VERSION))
-	# The timestamp git-show extracts is in the *author's timezone*, i.e.,
-	# there's no conversion to the *user's timezone* unless --date=local is
-	# provided.  So, we can be sure we have a deterministic timestamp value.
-	# We're using the timestamp that was explicitly set by the author (%ad).
+	# The timestamp git-rev-list extracts is in the *author's timezone* (%ad).
+	# I.e., there's no conversion to the *user's timezone* unless --date=local
+	# is provided.  So, we can be sure we start from a deterministic timestamp.
 	#
-	# %B uses the *user's locale* when printing the month because the date
-	# formatting is done by strftime (see man git-log and man strftime).  To
-	# ensure a deterministic value, we use the standard locale called "C".
+	# But: %B uses the *user's locale* when printing the month because the date
+	# formatting is done by strftime, see man git-rev-list and man strftime.
+	#
+	# To ensure deterministic formatting, we use the standard locale called "C".
 	# https://www.gnu.org/software/libc/manual/html_node/Choosing-Locale.html
 	#
 	# We use LC_ALL because it ensures we override both LANG and LC_TIME.
 	# https://www.gnu.org/software/libc/manual/html_node/Locale-Categories.html
-	TIMESTAMP := $(shell LC_ALL=C git show -s --format=%ad --date=format:"%B %Y" $(COMMIT))
+	TIMESTAMP := $(shell LC_ALL=C git rev-list -1 --no-commit-header --format=format:%ad --date=format:"%B %Y" $(COMMIT))
 endif
 DATE ?= $(TIMESTAMP)

=== tests/Makefile ===
TESTS = ssh-agent-test \
	sign-verify-test sign-agent-test \
	keyhash-test keyhex-test key-vkey-test \
	help-msg-test version-msg-test \
	token-record-test token-create-raw-test token-create-header-test \
	sigsum-submit-test sigsum-submit-batch-test \
	witness-add-checkpoint-test \
	sigsum-submit-witness-test
all:

check:
	./run-tests $(TESTS)

clean:
	rm -rf bin test.*

.PHONY: all check clean

=== debian/changelog ===
sigsum-go (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Simon Josefsson <simon@josefsson.org>  Sat, 22 Mar 2025 01:53:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any (>> 2:1.22~),
+ golang-any,
  golang-github-dchest-safefile-dev,
  golang-github-golang-mock-dev,
  golang-github-pborman-getopt-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,19 @@
 B = $(CURDIR)/debian/tmp/usr/bin
 M = $(CURDIR)/debian/tmp/usr/share/man
 
+DEB_DATE = $(shell dpkg-parsechangelog -Sdate | \
+		env LC_ALL=C date -u +"%B %Y" -f -)
+
 execute_after_dh_auto_install:
 	rm -fv $(B)/mk-add-checkpoint-request
 	rm -fv $(B)/sha256-n $(B)/use-agent
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	PATH="$(CURDIR)/_build/bin:$$PATH" make doc VERSION=$(DEB_VERSION)
-	mkdir -pv $(M)/man1 $(M)/man5
+	PATH="$(CURDIR)/_build/bin:$$PATH" \
+		make doc VERSION="$(DEB_VERSION)" DATE="$(DEB_DATE)"
+	mkdir -pv $(M)/man1 $(M)/man7
 	help2man --no-info --version-string="$(DEB_VERSION)" \
-			-Idebian/sigsum-witness.h2m $(B)/sigsum-witness \
-			-o $(M)/man1/sigsum-witness.1
+		-Idebian/sigsum-witness.h2m $(B)/sigsum-witness \
+		-o $(M)/man1/sigsum-witness.1
 	cp -v doc/*.1 $(M)/man1/
-	mv -v $(M)/man1/sigsum-tools.1 $(M)/man5/sigsum-tools.5
+	cp -v doc/*.7 $(M)/man7/
 endif

=== debian/watch ===
version=4
opts="mode=git" \
https://git.glasklar.is/sigsum/core/sigsum-go.git refs/tags/v([\d\.]+)

## sigsum-go 0.12.0

=== tests/Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 	help-msg-test version-msg-test \
 	token-record-test token-create-raw-test token-create-header-test \
 	sigsum-submit-test sigsum-submit-batch-test \
+	sigsum-submit-namedpolicy-test \
+	sigsum-monitor-test \
+	sigsum-monitor-namedpolicy-test \
+	policyinpubkey-test \
+	sigsum-policy-test \
 	witness-add-checkpoint-test \
 	sigsum-submit-witness-test
 all:
@@ -11,6 +16,9 @@
 check:
 	./run-tests $(TESTS)
 
+shellcheck:
+	shellcheck $(TESTS)
+
 clean:
 	rm -rf bin test.*

=== pkg/mocks/Makefile ===
MOCK_FILES = api.go metrics.go

all: $(MOCK_FILES)

api.go: ../api/api.go
	go run github.com/golang/mock/mockgen --destination $@ --package mocks --mock_names Log=MockLog,Secondary=MockSecondary,Witness=MockWitness sigsum.org/sigsum-go/pkg/api Log,Secondary,Witness

metrics.go: ../server/config.go
	go run github.com/golang/mock/mockgen --destination $@ --package mocks sigsum.org/sigsum-go/pkg/server Metrics


clean:
	rm -f $(MOCK_FILES)

.PHONY: clean

=== debian/changelog ===
sigsum-go (0.12.0-1) unstable; urgency=medium

  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * New upstream version 0.12.0
  * Use Static-Built-Using:.
  * Improve d/copyright.
  * Install builtin policy files.
  * Refresh man-page generation.
  * Drop old debian/*.h2m files.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Nov 2025 13:09:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
 Homepage: https://git.glasklar.is/sigsum/core/sigsum-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: sigsum.org/sigsum-go
 
 Package: sigsum-go
@@ -29,6 +28,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: tools for public and transparent logging of signed checksums
  The goal of Sigsum is to provide building blocks that can be used to
  enforce public logging of signed checksums.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
+
+export DH_GOLANG_INSTALL_EXTRA := \
+	$(wildcard pkg/policy/builtin/*.builtin-policy)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
@@ -18,7 +21,9 @@
 execute_after_dh_auto_install:
 	rm -fv $(B)/mk-add-checkpoint-request
 	rm -fv $(B)/sha256-n $(B)/use-agent
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installman-arch:
 	PATH="$(CURDIR)/_build/bin:$$PATH" \
 		make doc VERSION="$(DEB_VERSION)" DATE="$(DEB_DATE)"
 	mkdir -pv $(M)/man1 $(M)/man7

=== debian/watch ===
Version: 5
Source: https://git.glasklar.is/sigsum/core/sigsum-go.git
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git

## sigsum-go 0.13.0

=== debian/changelog ===
sigsum-go (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Use ldflags to fix --version
  * Modernize Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Mon, 08 Dec 2025 18:02:34 +0100

## sigsum-go 0.13.1

=== internal/mocks/Makefile ===
MOCK_FILES = roundtripper.go

all: $(MOCK_FILES)

roundtripper.go:
	go run github.com/golang/mock/mockgen --destination $@ --package mocks net/http RoundTripper

clean:
	rm -f $(MOCK_FILES)

.PHONY: clean

=== debian/changelog ===
sigsum-go (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Enable Salsa rdeps

 -- Simon Josefsson <simon@josefsson.org>  Tue, 09 Dec 2025 08:33:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_build:
+	dh_auto_build $(DH_BUILD_OPTS) -- \
+		-ldflags="-X sigsum.org/sigsum-go/internal/version.ConfiguredVersion=$(DEB_VERSION)"
 
 override_dh_auto_test:
 	env DH_GOLANG_EXCLUDES=sigsum.org/sigsum-go/pkg/server dh_auto_test $(DH_BUILD_OPTS)

## sigsum-go 0.14.0

=== pkg/mocks/Makefile ===
MOCK_FILES = mockapi/mockapi.go mockmetrics/mockmetrics.go mocksigner/mocksigner.go

all: $(MOCK_FILES)

mockapi/mockapi.go: ../api/api.go
	go run github.com/golang/mock/mockgen --destination $@ --package mockapi --mock_names Log=MockLog,Secondary=MockSecondary,Witness=MockWitness sigsum.org/sigsum-go/pkg/api Log,Secondary,Witness

mockmetrics/mockmetrics.go: ../server/config.go
	go run github.com/golang/mock/mockgen --destination $@ --package mockmetrics sigsum.org/sigsum-go/pkg/server Metrics

mocksigner/mocksigner.go: ../crypto/crypto.go
	go run github.com/golang/mock/mockgen --destination $@ --package mocksigner sigsum.org/sigsum-go/pkg/crypto Signer

clean:
	rm -f $(MOCK_FILES)

.PHONY: clean

=== debian/changelog ===
sigsum-go (0.14.0-1) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * New upstream version 0.14.0
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Fri, 16 Jan 2026 15:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -15,7 +14,7 @@
  golang-golang-x-net-dev,
  help2man <!nodoc>,
  pandoc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-go.git
 Homepage: https://git.glasklar.is/sigsum/core/sigsum-go
